<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">ContactSearch</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/pagingtable.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/jquery.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.pager.js" type="text/javascript" xmlns=""></script>
		<script src="js/pagingtable.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="searchContacts" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<ListContactsRequest Version="" xmlns="http://www.hyfinity.com/schemas/tutorial">
						<SearchCriteria>
							<ContactSurname />
						</SearchCriteria>
						<ListControl>
							<PageSize />
							<PageNumber />
							<StartNumber />
							<EndNumber />
							<TotalSize />
							<OrderListBy />
							<OrderingType>Ascending</OrderingType>
						</ListControl>
					</ListContactsRequest>
					<formData>
						<ContactSummary_repeat>
							<ContactSummary_group />
						</ContactSummary_repeat>
						<table_field1 />
						<table_field2 />
						<selectedContact />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="newContact" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<ContactSurname />
						<selectedContact />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form" xmlns="">
			<form action="process.do" method="post" name="ContactSearch">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.ContactSearch</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class="vertical" id="group_bordered">
					<div class="groupLabelBackground" id="group_bordered_label_container">
						<h2 class="label" id="group_bordered_label">Hyfinity Contacts Database</h2>
					</div>
					<div style="height: 10px; width: 20px;"></div>
					<fieldset class="fieldsetGroup horizontal" id="SearchCriteria_group">
						<legend class="fieldsetGroupLabelBackground" id="SearchCriteria_group_label_container">
							<span class="label" id="SearchCriteria_group_label">Search Criteria</span>
						</legend>
						<span class="formElement">
							<span class="labelBackground" id="ContactSurname_label_container">
								<label class="label" for="ContactSurname" id="ContactSurname_label">Surname</label>
							</span>
							<span class="defaultBackground" id="ContactSurname_container">
								<input class="textbox" id="ContactSurname" maxLength="30" name="ContactSurname" size="30" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:ContactSurname}" />
								<input name="xgf_ContactSurname_xpath_xga_searchContacts" type="hidden" value="/mvc:eForm/mvc:Data/demo:ListContactsRequest/demo:SearchCriteria/demo:ContactSurname" />
								<input name="xgf_ContactSurname_xpath_xga_newContact" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:ContactSurname" />
								<span id="ContactSurname_message_container"></span>
							</span>
						</span>
						<span class="formElement">
							<span class="defaultBackground" id="searchBtn_container">
								<a class="button" href="javascript: searchBtnhref(null);" id="searchBtn" name="searchBtn">
									<span>
										<span>Search</span>
									</span>
								</a>
							</span>
						</span>
					</fieldset>
					<div style="height: 10px; width: 20px;"></div>
					<div class="partialPageContainer vertical" id="search_results"></div>
					<div class="formElement">
						<span class="defaultBackground" id="newBtn_container">
							<input id="newBtn_submit_button" name="xgate_action_newContact" type="submit" value="Create New Contact" />
							<span id="newBtn_temp_container" style="display:none; visibility:hidden;">
								<a class="button" href="javascript: newBtnhref(null);" id="newBtn" name="newBtn">
									<span>
										<span>Create New Contact</span>
									</span>
								</a>
							</span>
							<script type="text/javascript">
								<out:text disable-output-escaping="yes">document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">newBtn_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">newBtn_temp_container').innerHTML;</out:text>
							</script>
						</span>
					</div>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.ContactSearch,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all'
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function ContactSearchonload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                        if (window.location.href.indexOf('start.do') == -1)
    searchBtnhref(null);
            }
            hyf.attachEventHandler(window, 'onload', ContactSearchonload);
                    
            function searchBtnhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'searchBtn', field: document.getElementById('searchBtn')};

                return dojo.hitch(objEventSource.field, function(){
                        var objAction = {name: 'Action', option: 'Action', value: 'searchContacts.do'};
                        var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: 'SearchCriteria_group'};
                        var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'search_results'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'true'};
                        hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
                    })();
            }
            
            function newBtnhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'newBtn', field: document.getElementById('newBtn')};

                return dojo.hitch(objEventSource.field, function(){
                        var objAction = {name: 'Action', option: 'Action', value: 'newContact'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>ContactSurname</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxLength','30');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minLength','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
